> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the project's active voice

> Set which voice from the voice library the agent uses for TTS.



## OpenAPI

````yaml api-reference/agents/openapi.json PUT /v1/agents/{agentId}/voice
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/voice:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
    put:
      tags:
        - Voices
      summary: Set the project's active voice
      description: Set which voice from the voice library the agent uses for TTS.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectVoiceRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectVoiceResponse'
        '400':
          description: Validation error
        '401':
          description: Unauthorized – missing or invalid API key
        '403':
          description: Forbidden – insufficient permissions
components:
  schemas:
    UpdateProjectVoiceRequest:
      type: object
      title: UpdateProjectVoiceRequest
      description: The voice to set as the project's active default voice.
      properties:
        voiceId:
          type: string
          description: Voice ID to set as the project voice
      required:
        - voiceId
    ProjectVoiceResponse:
      type: object
      title: ProjectVoiceResponse
      description: The project's active default voice.
      properties:
        voiceId:
          type: string
          description: The newly set project voice ID
      required:
        - voiceId
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````